Subject: [manet] Fwd: change Pt_

From: Marco <[email-masked]>
Date: Tue, 1 Feb 2005 11:49:51 +0100

----------  Messaggio inoltrato  ----------

Subject: change Pt_
Date: 11:49, martedì 1 febbraio 2005
From: Marco <[email-masked]>
To: [email-masked]

Hy ns-users,

I want modify Pt_  for a determined node, in C++' code.
In Mac802.11 i have made a routine which compute the distance between tx node
and rx node. For every distance, I have a corresponding value of power(pot).

In wirelessphy I have made a second routine who set Pt_:

inline double setPt(double pot){Pt_=pot; return Pt_;}

I call it in Mac802.11::send

			WirelessPhy* power;
			*
			*
			*
			pot=0.002;
			power->setPt(pot);

			*
			*
			*

But when I run the simulations, I obtain a segmentation fault!
Why?

					Thanks in advance, Marco

-------------------------------------------------------

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet